7
3
2
adam
zane
3
sarah
billy
zane
3
zane
billy
adam
2
4
monisha
alla
arun
stephen
3
alla
stephen
jenny
10
1
a
1
b
1
c
1
d
1
e
1
f
1
g
1
h
1
i
1
j
10
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
20
a
b
c
d
e
f
g
h
i
j
k
l
m
n
o
p
q
r
s
t
10
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
10
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
q
w
e
r
t
y
u
i
o
p
l
k
j
h
g
f
d
s
z
a
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
y
t
e
r
w
q
20
z
a
s
d
f
g
h
j
k
l
p
o
i
u
m
x
n
c
b
v
5
4
harry
prince
chelsea
kate
3
chelsea
steven
david
5
prince
kate
jack
belinda
harry
2
zachary
pete
6
pete
prince
jack
olivia
stephen
david
